> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Audit and Get Room Members
>
Audit any public or private room and view the room members. You don't need to be a member of the room.
Permission required: `view-members-list-all-rooms`
### Changelog
| Version | Description |
| ------- | ----------- |
| 6.12.0 | Added |
## OpenAPI
````json GET /api/v1/audit/rooms.members
{
"openapi": "3.0.0",
"info": {
"version": "1.0.0",
"title": "Rooms"
},
"servers": [
{
"url": "https://apiexplorer.support.rocket.chat"
}
],
"tags": [
{
"name": "Channels"
},
{
"name": "Directory"
},
{
"name": "Groups"
},
{
"name": "Rooms"
},
{
"name": "Teams"
},
{
"name": "Room Invites"
},
{
"name": "Subscriptions"
},
{
"name": "ABAC"
}
],
"paths": {
"/api/v1/audit/rooms.members": {
"parameters": [],
"get": {
"summary": "Audit and Get Room Members",
"tags": [
"Rooms"
],
"responses": {
"200": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"members": {
"type": "array",
"items": {
"type": "object",
"properties": {
"_id": {
"type": "string"
},
"status": {
"type": "string"
},
"name": {
"type": "string"
},
"username": {
"type": "string"
},
"_updatedAt": {
"type": "string"
}
}
}
},
"count": {
"type": "integer"
},
"offset": {
"type": "integer"
},
"total": {
"type": "integer"
},
"success": {
"type": "boolean"
}
}
},
"examples": {
"Example 1": {
"value": {
"members": [
{
"_id": "FSA63o85Poa2EQvAH",
"status": "offline",
"name": "cat kate",
"username": "cat.kate",
"_updatedAt": "2024-08-27T09:07:03.795Z"
}
],
"count": 1,
"offset": 0,
"total": 1,
"success": true
}
}
}
}
}
},
"400": {
"description": "Bad Request",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"error": {
"type": "string"
},
"errorType": {
"type": "string"
}
}
},
"examples": {
"Example 1": {
"value": {
"success": false,
"error": "must have required property 'roomId' [error-invalid-params]",
"errorType": "error-invalid-params"
}
}
}
}
}
},
"401": {
"$ref": "#/components/responses/authorizationError"
},
"403": {
"$ref": "#/components/responses/forbiddenError"
}
},
"operationId": "get-api-v1-audit-rooms.members",
"description": "\n\nAudit any public or private room and view the room members. You don't need to be a member of the room.\n\nPermission required: `view-members-list-all-rooms`\n\n### Changelog\n| Version | Description |\n| ------- | ----------- |\n| 6.12.0 | Added |",
"parameters": [
{
"$ref": "#/components/parameters/Auth-Token"
},
{
"$ref": "#/components/parameters/UserId"
},
{
"schema": {
"type": "string",
"example": "66cd971f6fcbb8e8b3cf8e69"
},
"in": "query",
"name": "roomId",
"description": "Enter the room ID that you want to audit.",
"required": true
},
{
"schema": {
"type": "string"
},
"in": "query",
"name": "filter",
"description": "Filter the results using the text that you want to view."
},
{
"$ref": "#/components/parameters/count"
},
{
"$ref": "#/components/parameters/offset"
},
{
"$ref": "#/components/parameters/sort"
}
]
}
}
},
"components": {
"responses": {
"authorizationError": {
"description": "Unauthorized",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"error": {
"type": "string"
}
}
},
"examples": {
"Authorization Error": {
"value": {
"success": false,
"error": "You must be logged in to do this."
}
}
}
}
}
},
"forbiddenError": {
"description": "Forbidden",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"error": {
"type": "string"
},
"errorType": {
"type": "string"
}
}
},
"examples": {
"Permission Error": {
"value": {
"success": false,
"error": "User does not have the permissions required for this action",
"errorType": "error-forbidden"
}
}
}
}
}
}
},
"parameters": {
"Auth-Token": {
"name": "X-Auth-Token",
"in": "header",
"description": "The `authToken` of the authenticated user.",
"required": true,
"schema": {
"type": "string"
},
"example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
},
"UserId": {
"name": "X-User-Id",
"in": "header",
"description": "The `userId` of the authenticated user.",
"required": true,
"schema": {
"type": "string"
},
"example": "rbAXPnMktTFbNpwtJ"
},
"count": {
"name": "count",
"in": "query",
"description": "The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
"required": false,
"schema": {
"type": "integer"
},
"example": 50
},
"offset": {
"name": "offset",
"in": "query",
"description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
"required": false,
"schema": {
"type": "integer"
},
"example": 50
},
"sort": {
"name": "sort",
"in": "query",
"description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {\"value\": -1, \"_id\": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
"required": false,
"schema": {}
}
}
}
}
````